package com.seeyon.apps.src_hxinvoice;

import com.seeyon.apps.common.plugin.api.APluginInfoApi;
import com.seeyon.apps.common.plugin.vo.ConfigVo;
import com.seeyon.apps.src_hxinvoice.constants.HxinvoiceConstants;

public class HxinvoicePluginApi extends APluginInfoApi {
    public HxinvoicePluginApi() {
    }

    public String getPluginId() {
        System.out.println(HxinvoiceConstants.getPluginId());
        return HxinvoiceConstants.getPluginId();
    }

    public String getCreateUser() {
        return "橙阳科技";
    }

    public String getDescription() {
        return "航信开票集成管理";
    }

    public ConfigVo getDefaultConfig() {
        ConfigVo configVo = new ConfigVo();
        HxinvoiceConstants[] var2 = HxinvoiceConstants.values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            HxinvoiceConstants value = var2[var4];
            if (value != HxinvoiceConstants.plugin) {
                configVo.getDevParams().put(value.name(), value.getDefaultValue());
                configVo.getProdParams().put(value.name(), value.getDefaultValue());
                configVo.getParamMap().put(value.name(), value.getDescription());
            }
        }

        return configVo;
    }

//    public void registerCustomEvent(Map eventAndNodes) {
//        eventAndNodes.put("propertyDispose", "资产管理待办推送");
//    }
}

